#pragma once
#include <vector>
#include <afxtempl.h>

// GBWTabCtrl
class CASTabCtrl : public CTabCtrl
{
	DECLARE_DYNAMIC(CASTabCtrl)

	public:
		CASTabCtrl ();
		virtual ~CASTabCtrl ();

	protected:
		DECLARE_MESSAGE_MAP()

	public:
		CArray<int> mDialogID;
		CArray<CDialog*> mDialogs;

	public:
		CDialog* mCurDialog;

	public:
		void addDialog( int id, CString title, CDialog* dlg );
		void addDialog( int id, CString title, CDialog* dlg, int image );
		void initDialogs();
		void activateTabs();

public:
	afx_msg void OnTcnSelchange(NMHDR *pNMHDR, LRESULT *pResult);
//	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
};

